%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:          jboss-modules
Version:       1.1.1
Release:       %mkrel 2
Summary:       JBoss Modules
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/

# git clone git://github.com/jbossas/jboss-modules.git
# cd jboss-modules/ && git archive --format=tar --prefix=jboss-modules-1.1.1.GA/ 1.1.1.GA | xz > ../jboss-modules-1.1.1.GA.tar.xz

Source0:       %{name}-%{namedversion}.tar.xz
BuildRequires: apiviz
BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-injection-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss Modules.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

mvn-rpmbuild install javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 355082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 gil <gil> 1.1.1-1.mga3
+ Revision: 210953
- update to 1.1.1.GA
- imported package jboss-modules

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Clean spec file

